| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
dir_fns.php File Reference

## Functions
| find_upstream_directory ($dirmode)
| check_upstream_directory ()
| dir_sort_links ()
| dir_safe_mode ()
| sync_directories ($dirmode)
| update_directory_entry ($ud)
| local_dir_update ($uid, $force)

## Function Documentation

check_upstream_directory | ( |  | ) |

Directories may come and go over time. We will need to check that our directory server is still valid occasionally, and reset to something that is if our directory has gone offline for any reason

Referenced by poller_run().

dir_safe_mode | ( |  | ) |

Referenced by widget_dirsafemode().

dir_sort_links | ( |  | ) |

Referenced by widget_dirsort().

find_upstream_directory | ( |  | $dirmode | ) |

No directory has yet been set. For most sites, pick one at random from our list of directory servers. However, if we're a directory server ourself, point at the local instance We will then set this value so this should only ever happen once. Ideally there will be an admin setting to change to a different directory server if you don't like our choice or if circumstances change.

Referenced by directory_content(), directory_run(), navbar_complete(), pubsites_content(), and update_suggestions().

local_dir_update | ( |  | $uid,
|  |  | $force
| ) |  |

local_dir_update($uid,$force) push local channel updates to a local directory server

Referenced by directory_run().

sync_directories | ( |  | $dirmode | ) |

Referenced by poller_run().

update_directory_entry | ( |  | $ud | ) |

Referenced by onedirsync_run().